Package net.dona.doip.client

## Class PasswordAuthenticationInfo

- java.lang.Object
- - net.dona.doip.client.PasswordAuthenticationInfo

- All Implemented Interfaces:
    `AuthenticationInfo`

      public class PasswordAuthenticationInfo
      extends java.lang.Object
      implements AuthenticationInfo

  An `AuthenticationInfo` which provides a username and a password.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PasswordAuthenticationInfo​(java.lang.String username, java.lang.String password)` |
    `PasswordAuthenticationInfo​(java.lang.String username, java.lang.String password, java.lang.String asUserId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.google.gson.JsonObject` | `getAuthentication()` | Returns the authentication property to be supplied with the initial segment of DOIP requests.
    `java.lang.String` | `getClientId()` | Returns the clientId to be supplied with the initial segment of DOIP requests.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordAuthenticationInfo

          public PasswordAuthenticationInfo​(java.lang.String username,
                                            java.lang.String password)

    - #### PasswordAuthenticationInfo

          public PasswordAuthenticationInfo​(java.lang.String username,
                                            java.lang.String password,
                                            java.lang.String asUserId)

  - ### Method Detail

    - #### getClientId

          public java.lang.String getClientId()

      Description copied from interface: `AuthenticationInfo`
      Returns the clientId to be supplied with the initial segment of DOIP requests.
      Specified by:
        `getClientId` in interface `AuthenticationInfo`
      Returns:
        the clientId to be supplied with the initial segment of DOIP requests

    - #### getAuthentication

          public com.google.gson.JsonObject getAuthentication()

      Description copied from interface: `AuthenticationInfo`
      Returns the authentication property to be supplied with the initial segment of DOIP requests.
      Specified by:
        `getAuthentication` in interface `AuthenticationInfo`
      Returns:
        the authentication property to be supplied with the initial segment of DOIP requests